[arch-commits] Commit in xcmiscproto/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 21 01:50:05 EDT 2009


    Date: Tuesday, April 21, 2009 @ 01:50:05
  Author: eric
Revision: 36351

upgpkg: xcmiscproto 1.1.2-2
    Added license

Modified:
  xcmiscproto/trunk/PKGBUILD

----------+
 PKGBUILD |    8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-21 05:27:30 UTC (rev 36350)
+++ PKGBUILD	2009-04-21 05:50:05 UTC (rev 36351)
@@ -3,17 +3,19 @@
 
 pkgname=xcmiscproto
 pkgver=1.1.2
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 XC-Miscellaneous extension wire protocol"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 source=(${url}/releases/individual/proto/${pkgname}-${pkgver}.tar.bz2)
 md5sums=('fde0b050901f024b19159cdacdcfbd20')
 sha1sums=('825ec15986cd1ab008b11f6379eb4c7f3c78bd76')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }



More information about the arch-commits mailing list